Subject: Re: [Ipoverib] Question on IPv6 over IB

From: Nitin Hande <[email-masked]>
Date: Thu, 20 Jan 2005 11:49:10 -0800

> Vivek> Isn't the length of the option already 8 when used on
> Vivek> Ethernet (type+length+ 48bit)? Then it wouldn't require the
> Vivek> padding.
> 
> Of course you are correct.  The 6 octet length of the ethernet address
> confused me, sorry.
> 
>     Vivek> Will it not align the local address at 2 byte boundary as
>     Vivek> against 4?
> 
> That's true.  It seems there is some precedent for putting the padding
> at both ends: IPv6-over-ARCnet (RFC 2497) puts the (one octet!?)
> ARCnet address at the beginning of the option followed by 5 octects of
> padding, while IPv6-over-Fibre Channel (RFC 3381) puts two octets of
> padding at the beginning followed by 12 octets of address.
> 
> I will generate a patch for the Linux kernel to pad appropriately and
> forward it to the networking maintainers.
> 
> Does anyone know what Solaris's IPoIB implementation does?
> 
Looking at the source code, Solaris is inserting the padding at the end
after the Link Layer address. Given the release phase that Solaris is
in, it will be difficult to change that implementation at this point.
Obviously, if OpenIB decides to implement padding at the start of the
link address,it will cause incompabilility between Solaris and OpenIB.

Thanks
Nitin

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib

---

From: Vivek Kashyap <[email-masked]>
Date: Thu, 20 Jan 2005 11:45:29 -0800 (PST)

> link address,it will cause incompabilility between Solaris and OpenIB.

It will cause incompatibility between Solaris and the RFC :).

Vivek